# Setting

Setting Class

Used for change the options of FTP Rush

Fields

Lang | string | GUI language, default is "English"
ConnectionTimeOut | int | Sets the timeout (in seconds) when connecting to a server, default is 30
DataConnectionTimeOut | int | Set the timeout(in seconds) when transferring data, default is 300
ConnectionRetryNum | int | Sets the maximum number of times FTP Rush will retry connecting to a server before it gives up, default is 5
ConnectionDelay | int | Sets the time (in seconds) FTPRush will wait before retry connecting, default is 15
TransferMaxNum | int | The number of file transfers happening at one time, default is 2
DefaultTransferBuffer | int | Initial transfer buffer size(KB), default is 10
MaxTransferBuffer | int | When the transfer speed is fast, FTP Rush will increase the buffer size until it reaches this value, default is 1000
MinimumTransferBuffer | int | When the transfer speed is low, FTP Rush will decrease the buffer size until it reaches this value, default is 1
ServerToLocalSpeedLimit | int | Transfer speed limit(KB/S) when transfer file from server to local
LocalToServerSpeedLimit | int | Transfer speed limit(KB/S) when transfer file from local to server
ServerToServerSpeedLimit | int | Transfer speed limit(KB/S) when transfer file from server to server
SizeType | SizeType | File size display format
ProxyServers | List<Proxy> | List of proxy server defined in the option dialog
ProxyServerIndex | int | Current proxy setting index, default is 0 which means no proxy
ByPassLocalAddress | bool | Whether to bypass local network server when using proxy, default is true
ShowDetailLog | bool | Show detailed log the in the log view, default is false
ShowTimeLog | bool | Show time information in each log line, default is false
LogToFile | bool | Whether to write the log to a file, default is false
LimitLogFile | bool | Whether to limit the log file size, default is false
LimitLogFileSize | long | The limit size of log file, default is 0, means no limit
LogFileName | string | Log file name
SSLOnData | bool | Enable ssl encryption on FTP data transfer, default is true
ProxyOnData | bool | Enable proxy on FTP data transfer, default is true
FTPDataTransferMode | int | FTP data transfer mode, 0 is auto, 1 is PASV, 3 is PORT, default is 0
FTPListCommand | int | FTP list command, default is 0(auto), please check the "Option->FTP Protocol->List Command" for other values
FTPCharset | int | FTP charset, default is 0(auto), please check the "Option->FTP Protocol->Directory charset" for other values
FTPListParser | int | FTP list parser, default is 0(auto), please check the "Option->FTP Protocol->Directory list parser" for other values
TargetExistRules | TargetExistRule[3] | Global target exist rules
FileFilters | List<RushFileFilter> | Global file filters
BookMarks | List<BookMark> | Bookmark list for local file view

Examples

Option.Setting.Lang = "Chinese"; //Change the language Main.UpdateOption(); //Update the main GUI Option.Setting.ServerToLocalSpeedLimit = 100; //Change the download speed limit Option.Setting.LogToFile = true; //Enable log file Option.Setting.LogFileName = "~Documents/test.log"; // Change the download speed limit

See Also

- Option
- SizeType
- Proxy
- TargetExistRule
- RushFileFilter
- BookMark